DaitchMokotoffSoundexFilterFactory (Lucene 10.5.0 phonetic API)
Description: declaration: package: org.apache.lucene.analysis.phonetic, class: DaitchMokotoffSoundexFilterFactory

Package org.apache.lucene.analysis.phonetic

# Class DaitchMokotoffSoundexFilterFactory

java.lang.Object
org.apache.lucene.analysis.AbstractAnalysisFactory
org.apache.lucene.analysis.TokenFilterFactory
org.apache.lucene.analysis.phonetic.DaitchMokotoffSoundexFilterFactory

public class DaitchMokotoffSoundexFilterFactory extends TokenFilterFactory
Factory for `DaitchMokotoffSoundexFilter`.

Create tokens based on Daitch–Mokotoff Soundex phonetic filter.

This takes one optional argument:

inject
  (default=true) add tokens to the stream with the offset=0

     <fieldType name="text_phonetic" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.WhitespaceTokenizerFactory"/>
         <filter class="solr.DaitchMokotoffSoundexFilterFactory" inject="true"/>
       </analyzer>
     </fieldType>

Since:
  5.0.0
See Also:
  - `DaitchMokotoffSoundexFilter`
WARNING: This API is experimental and might change in incompatible ways in the next release.
SPI Name (case-insensitive: if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service).
  "daitchMokotoffSoundex"

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `INJECT`
  parameter name: true if encoded tokens should be added as synonyms
  `static final String`
  `NAME`
  SPI name

  ### Fields inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

  `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DaitchMokotoffSoundexFilterFactory()`
  Default ctor for compatibility with SPI
  `DaitchMokotoffSoundexFilterFactory(Map<String,String> args)`
  Creates a new PhoneticFilterFactory

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DaitchMokotoffSoundexFilter`
  `create(TokenStream input)`

  ### Methods inherited from class org.apache.lucene.analysis.TokenFilterFactory

  `availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

  ### Methods inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

  `defaultCtorException, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    SPI name
    See Also:
      - Constant Field Values

  - ### INJECT

    public static final String INJECT
    parameter name: true if encoded tokens should be added as synonyms
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DaitchMokotoffSoundexFilterFactory

    public DaitchMokotoffSoundexFilterFactory(Map<String,String> args)
    Creates a new PhoneticFilterFactory

  - ### DaitchMokotoffSoundexFilterFactory

    public DaitchMokotoffSoundexFilterFactory()
    Default ctor for compatibility with SPI

- ## Method Details

  - ### create

    public DaitchMokotoffSoundexFilter create(TokenStream input)
    Specified by:
      `create` in class `TokenFilterFactory`